curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/compensation-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"employmentCountry": "GB",
"earnings": [
{
"wageTypeCode": "<string>",
"amount": "<string>",
"earningType": "AMOUNT",
"earningFrequency": "MONTH",
"isLumpsum": false
}
],
"benefits": [
{
"wageTypeCode": "<string>",
"amount": "0.00",
"makeGoodAmount": "0.00",
"foregoneAmount": "0.00"
}
],
"deductions": [
{
"name": "<string>",
"amount": "<string>",
"wageTypeCode": "<string>"
}
],
"reimbursements": [
{
"wageTypeCode": "<string>",
"amount": "<string>"
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Create initial compensation record for an employee.
curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/compensation-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"employmentCountry": "GB",
"earnings": [
{
"wageTypeCode": "<string>",
"amount": "<string>",
"earningType": "AMOUNT",
"earningFrequency": "MONTH",
"isLumpsum": false
}
],
"benefits": [
{
"wageTypeCode": "<string>",
"amount": "0.00",
"makeGoodAmount": "0.00",
"foregoneAmount": "0.00"
}
],
"deductions": [
{
"name": "<string>",
"amount": "<string>",
"wageTypeCode": "<string>"
}
],
"reimbursements": [
{
"wageTypeCode": "<string>",
"amount": "<string>"
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Get token from Auth0 and paste it here
GB compensation details - standing/recurring pay data.
"GB"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Effective date
End date (None = current)
Successful Response
Response model for GB compensation details.
"GB"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Effective date
End date (None = current)
Was this page helpful?